function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return"";
	else
		return results[1];
}

//---------------------------------------------------

function Cargar(){

var parametros = {"accion":'calificar'};
        $.ajax({
                data:  parametros,
                url:   'comprobar.php',
                type:  'post',
                success:function (response){

                    if (response=="SIN LABOR ACADEMICA"){
                        alert('                  DOCENTE SIN LABOR ACADEMICA');
                         document.location.href="index.php";
                    }
                    else
                        $("#programas").html(response);
                      
    
           }
        });
        
}

//---------------------------------------------

function Cargar_planillas_cursos(){


        var parametros = {"accion":'planillas_cursos'};
        $.ajax({
                data:  parametros,
                url:   '../comprobar.php',
                type:  'post',
                success:function (response){
               
                              
                    if (response=="SIN LABOR ACADEMICA"){
                        alert('CURSO SIN LABOR ACADEMICA');
                         document.location.href="../menu.php";
                    }
                    else
                        $("#programas").html(response);


           }
        });

  
}


//---------------------------------------------
function Cargar_nombres(){

var v1 = parametro( 'id' );
var parametros = {"accion":'notas',
                           "id":v1
                          };
        $.ajax({
                data:  parametros,
                url:   'comprobar.php',
                type:  'post',
                success:function (response){

                      $("#nombres").html(response);


           }
        });
}

//---------------------------------------------
function Cargar_notas(codigo){

var per=document.getElementById('periodo').value

var parametros = {"accion":'mostrar_notas',
                           "codigo":codigo,
                           "periodo":per
                          };
        $.ajax({
                data:  parametros,
                url:   'comprobar.php',
                type:  'post',
                success:function (response){

                      $("#asignaturas").html(response);


           }
        });

}
//---------------------------------------------

function salir(){

 
  var parametros = {"accion":'matar_sesion'

                          };
        $.ajax({
                data:  parametros,
                url:   'comprobar.php',
                type:  'post'
        });

        document.location.href="index.php";
}

//---------------------------------------------

function salir_planillas_cursos(){


  var parametros = {"accion":'matar_sesion'

                          };
        $.ajax({
                data:  parametros,
                url:   '../comprobar.php',
                type:  'post'
        });

        document.location.href="../index.php";
}

//---------------------------------------------

function mostrar_recuperacion(asign,grado,curso,jor,nom,abrir,regresar){

    var periodo=document.getElementById(nom).value;

    if (periodo==''){
        alert("SELECCIONE PERIODO");
        exit;
    }
    
     var parametros = {"accion":'guardar_datos',
                       "periodo":periodo,
                       "asignatura":asign,
                       "grado":grado,
                       "curso":curso,
                       "jornada":jor,
                       "abrir":abrir,
                       "regresar":regresar
                      };
    $.ajax({
            data:  parametros,
            url:   'comprobar.php',
            type:  'post',
            success:function (response){                 
               document.location.href="planilla_recuperacion.php";
           }
        });   

}

//---------------------------------------------
function superacion_si(codigo){

 document.getElementById('SUPER_'+codigo).value='SI';

}

//---------------------------------------------
function superacion_no(codigo){
 document.getElementById('SUPER_'+codigo).value='NO';

}

//---------------------------------------------

function mostrar_alumnos(n){
var accion;

if (n==1)
accion="diligenciar";

if (n==2)
accion="diligenciar_parcial";

var parametros = {"accion":accion};
        
        $.ajax({
                data:  parametros,
                url:   'comprobar.php',
                type:  'post',
                success:function (response){

                 $("#alumnos").html(response);  
           }
        });        
}
//---------------------------------------------

function mostrar_alumnos_1(){

var parametros = {"accion":'diligenciar_recuperaciones'};
        $.ajax({
                data:  parametros,
                url:   'comprobar.php',
                type:  'post',
                success:function (response){
                 
                 $("#alumnos").html(response);  
           }
        });        


}



//---------------------------------------------

function mostrar_planilla(asign,grado,curso,jor,nom,abrir,regresar){

    var periodo=document.getElementById(nom).value;

    if (periodo==''){
        alert("SELECCIONE PERIODO");
        exit;
    }
    
     var parametros = {"accion":'guardar_datos',
                       "periodo":periodo,
                       "asignatura":asign,
                       "grado":grado,
                       "curso":curso,
                       "jornada":jor,
                       "abrir":abrir,
                       "regresar":regresar
                      };
    $.ajax({
            data:  parametros,
            url:   'comprobar.php',
            type:  'post',
            success:function (response){

                document.location.href="planilla.php";
 
           }
        });   

}

//---------------------------------------------

function mostrar_planilla_parcial(asign,grado,curso,jor,nom,abrir,regresar){

    var periodo=document.getElementById(nom).value;

    if (periodo==''){
        alert("SELECCIONE PERIODO");
        exit;
    }
    
     var parametros = {"accion":'guardar_datos',
                       "periodo":periodo,
                       "asignatura":asign,
                       "grado":grado,
                       "curso":curso,
                       "jornada":jor,
                       "abrir":abrir,
                       "regresar":regresar
                      };
    $.ajax({
            data:  parametros,
            url:   'comprobar.php',
            type:  'post',
            success:function (response){

                document.location.href="planilla_parcial.php";
 
           }
        });   

}
//---------------------------------------------
    
function mostrar_planilla_cursos(asign,nom,abrir,regresar){

    var periodo=document.getElementById(nom).value;

    if (periodo==''){
        alert("SELECCIONE PERIODO");
        exit;
    }
    

    
     var parametros = {"accion":'guardar_datos_2',
                       "periodo":periodo,
                       "asignatura":asign,
                       "abrir":abrir,
                       "regresar":regresar
                      };
    $.ajax({
            data:  parametros,
            url:   '../comprobar.php',
            type:  'post',
            success:function (response){
                              
               document.location.href="../planilla.php";
           }
        });   
 

}


//---------------------------------------------

function planilla_pdf(asign,grado,curso,jor,nom,abrir,regresar){

    var periodo=document.getElementById(nom).value;

    if (periodo==''){
        alert("SELECCIONE PERIODO");
        exit;
    }
    

 
     var parametros = {"accion":'guardar_datos',
                       "periodo":periodo,
                       "asignatura":asign,
                       "grado":grado,
                       "curso":curso,
                       "jornada":jor,
                       "abrir":abrir,
                       "regresar":regresar
                      };
    $.ajax({
            data:  parametros,
            url:   'comprobar.php',
            type:  'post',
            success:function (response){                 

               if (abrir=='1')
                  // window.open("../planilla_pdf.php");
                   window.open("planilla_pdf.php");
               else
                   window.open("planilla_pdf.php");

           }
        });   


}

//------ ABRIR BOTON GRABAR EMERGENTE ---

function abrirbotongrabar() {

        var parametros1 = {"accion":'cuadro_grabar'};

          $.ajax({
                data:  parametros1,
                url:   'comprobar.php',
                type:  'post',
                success:function (response){

                 $("#dialog2").html(response);

           }
        });


      $( "#dialog2" ).dialog({
          hight: '20px',
          width: '150px',
          position:[950,320]
      });


  
}

//--------------------------

function abrir_boton_grabar_1() {

        var parametros1 = {"accion":'cuadro_grabar_superaciones'};

          $.ajax({
                data:  parametros1,
                url:   'comprobar.php',
                type:  'post',
                success:function (response){

                 $("#dialog2").html(response);

           }
        });


      $( "#dialog2" ).dialog({
          hight: '20px',
          width: '150px',
          position:[950,320]
      });
}

//--------------------------

function grabar_plan_parcial(){

var anolectivo = document.getElementById('lectivo').value;
var arreglo;
var notas='';

      //---- TRAE EL CODIGO DE LOS ALUMNOS --------

      var parametros = {"accion":'codigo_alumnos'};    

        $.ajax({
                data:  parametros,
                 url:"comprobar.php",
                type:  'post',
                success:function (response){
                
                arreglo=response.split("/"); 
                var descripcion,sw;
                 
				 
                for (x=0;x<arreglo.length-1;x++){
                    
                    descripcion=document.getElementById('DESC_'+arreglo[x]).value; 
										
                if (descripcion!='' )
                    notas=notas+(arreglo[x]+"*"+descripcion+"/");
                
                }    
                   
				   //alert(notas);
                   //return 0;
               
       //*************************************                 
 
      var parametros1 = {"notas":notas,"anolectivo":anolectivo};
                                  
        $.ajax({
                data:  parametros1,
                 url: 'GrabarNotasParciales.php',
                type:  'post',
                success:function (response){                
                      $("#dialog2").html(response);                    
                } 
        });
        
          $( "#dialog2" ).dialog({
          hight: '20px',
          width: '150px',
          position:[1150,180]
      });  
        
      }    
      });


}


//--------------------------

function redondeo(numero, decimales)
{
var flotante = parseFloat(numero);
var resultado = Math.round(flotante*Math.pow(10,decimales))/Math.pow(10,decimales);
return resultado;
}

//----------------------------

function calcular(codigo,n_saber,n_hacer,n_ser) {

//alert('nombre :'+nombre+' cantidad :'+cantidad+' resultado:'+resultado);

var r1,r2,r3,suma1=0,suma2=0,suma3=0;

//--------NOTAS DEL SABER ----------

for (var i=1; i<=n_saber; i++){

    if (document.getElementById('S_'+codigo+'_'+i).value=="")
        document.getElementById('S_'+codigo+'_'+i).value="0.0";

      suma1=suma1 +parseFloat(document.getElementById('S_'+codigo+'_'+i).value);
}

//--------NOTAS DEL HACER ----------

for (var i=1; i<=n_hacer; i++){

    if (document.getElementById('H_'+codigo+'_'+i).value=="")
        document.getElementById('H_'+codigo+'_'+i).value="0.0";

      suma2=suma2 +parseFloat(document.getElementById('H_'+codigo+'_'+i).value);
}

//--------NOTAS DEL SER ----------

for (var i=1; i<=n_ser; i++){

    if (document.getElementById('S1_'+codigo+'_'+i).value=="")
        document.getElementById('S1_'+codigo+'_'+i).value="0.0";

      suma3=suma3 +parseFloat(document.getElementById('S1_'+codigo+'_'+i).value);
}

//---- COLOCAMOS LA DEFINITIVA DE CADA SABER --------

r1=redondeo((suma1/n_saber),1);
r2=redondeo((suma2/n_hacer),1);
r3=redondeo((suma3/n_ser),1);

document.getElementById('NOTA_SABER_'+codigo).value=r1;
document.getElementById('NOTA_HACER_'+codigo).value=r2;
document.getElementById('NOTA_SER_'+codigo).value=r3;

def=redondeo((r1*0.4)+(r2*0.4)+(r3*0.2),1);

document.getElementById('NOTA_DEF_'+codigo).value=def;


}

//----------------------------------------------------------

function mostrar_actividad(periodo,grado,curso,asignatura,n){

        var parametros1 = {"accion":'mostrar_actividad',
                           "grado":grado,
                           "curso":curso,
                           "periodo":periodo,
                           "asignatura":asignatura,
                           "numero":n
                           };

          $.ajax({
                data:  parametros1,
                url:   'comprobar.php',
                type:  'post',
                success:function (response){

                 $("#dialog3").html(response);

           }
        });


      $( "#dialog3" ).dialog({
          hight: '20px',
          width: '500px',
          position:[730,125]
      });


}

//----------------------------------------------------------

function grabar_comportamiento(){

var anolectivo = document.getElementById('lectivo').value;
var arreglo;
var notas='';

      //---- TRAE EL CODIGO DE LOS ALUMNOS --------

      var parametros = {"accion":'codigo_alumnos'};    

        $.ajax({
                data:  parametros,
                 url:"comprobar.php",
                type:  'post',
                success:function (response){
                                              
                arreglo=response.split("/"); 
                var def,anotacion,sw;
                
              

                               
                for (x=0;x<arreglo.length-1;x++){
                    
                    //--- Verifica que los campos no sean NULOS ---

                    def=document.getElementById('NOTA_DEF_'+arreglo[x]).value;
                    anotacion=document.getElementById('ANOTACION_'+arreglo[x]).value; 
                

                
                    sw='true';
                    if (def=='' && anotacion=='')
                        sw='false';
                                       
                    if (sw=='true')
                        notas=notas+(arreglo[x]+"*"+def+"*"+anotacion+"/");
                
                }    
                   
               
       //*************************************                 
 
      var parametros1 = {"notas":notas,
                         "anolectivo":anolectivo
                         };
                                  
        $.ajax({
                data:  parametros1,
                 url: 'GrabarComportamiento.php',
                type:  'post',
                success:function (response){                
                      $("#dialog2").html(response);                    
                } 
        });
        
          $( "#dialog2" ).dialog({
          hight: '20px',
          width: '150px',
          position:[1150,180]
      });  
        
      }    
      });

}

//---------------------
function get(id){
    return document.getElementById(id).value;
}

function ValidarRango(nombre,r1,r2){

var n=(get(nombre));

if ((parseInt(n)<r1)||(parseInt(n)>r2)){
    alert("Número fuera de rango ("+r1+"-"+r2+")");
    document.getElementById(nombre).value="";
}
}
 
//-------------------------------------

function Retornar(regresar){

      if (regresar=='1')
          document.location.href="labor_academica.php";
     
      else
          document.location.href='planillas_cursos/labor_academica_cursos.php';
}

//-------------------------------------

function retornar_menu_docente(){
   var cod=parametro('id');
   document.location.href="menu_profesor.php?id="+cod;
    
}

function retornar_menu(){

   document.location.href="../menu.php";

}

//-----------------------------------------------------------

function grabar_notas_general(n){

var arreglo;
var notas='';


      //---- TRAE EL CODIGO DE LOS ALUMNOS --------

      var parametros = {"accion":'codigo_alumnos'};    

        $.ajax({
                data:  parametros,
                 url:"comprobar.php",
                type:  'post',
                success:function (response){
                
                arreglo=response.split("/"); 
                var r1,r2,r3,def,fallas,v,cadena;
                                        
                for (x=0;x<arreglo.length-1;x++){  //--- RECORRE EL ARREGLO DE CODIGOS DE ALUMNOS---
                                    
                    //--- VALORACIONES ---
                                   
                    cadena='';
                    for (m=1;m<=n;m++){
                    
                        v=document.getElementById('S_'+arreglo[x]+'_'+m).value;                       
                        cadena=cadena+v+'*';

                    }
                                       
                    //alert(cadena);
                                       
                    if (cadena!=''){ // mjs  - Solo evalua las notas para saber si todo el registro es nulo
                                                             
                        notas=notas+(arreglo[x]+"*"+cadena); 
                         
                       //--- RECOMENDACIONES ---
                       
                       r1=document.getElementById('R_'+arreglo[x]+'_1').value;
                       r2=document.getElementById('R_'+arreglo[x]+'_2').value;
                       r3=document.getElementById('R_'+arreglo[x]+'_3').value;
                            
                       def=document.getElementById('NOTA_DEF_'+arreglo[x]).value; 
                       fallas=document.getElementById('FALLAS_'+arreglo[x]).value; 
                
                       notas=notas+r1+"*"+r2+"*"+r3+"*"+def+"*"+fallas+"/";                               
                  
                    } // mjs 
                                                       
                }    
                
              // alert(notas);
             //  return 0;
           
       //*************************************                 
        
      var parametros1 = {"notas":notas,"n":n};
                                  
        $.ajax({
                data:  parametros1,
                 url: 'GrabarNotasTodas.php',
                type:  'post',
                success:function (response){                
                      alert(response);                    
                } 
        });  
        
      }    
      });
}

//-----------------------------------------------------------

function grabar_notas_finales(){

       var arreglo;
       var notas='';


      //---- TRAE EL CODIGO DE LOS ALUMNOS --------

      var parametros = {"accion":'codigo_alumnos'};    


        $.ajax({
                data:  parametros,
                 url:"comprobar.php",
                type:  'post',
                success:function (response){
                
                arreglo=response.split("/"); 
                var def;
                               
                for (x=0;x<arreglo.length-1;x++){
                    
                    //--- Verifica que los campos no sean NULOS ---

                    def=document.getElementById('NOTA_DEF_'+arreglo[x]).value; 
                
                    sw='true';
                    if (def=='')
                        sw='false';
                                       
                    if (sw=='true')
                        notas=notas+(arreglo[x]+"*"+def+"/");
                
                }    
              
             // alert(notas);
             // exit; 
       //*************************************                 
 
      var parametros1 = {"notas":notas};
           
        $.ajax({
                data:  parametros1,
                 url: 'GrabarNotaFinal.php',
                type:  'post',
                success:function (response){                
                      alert(response);                    
                } 
        });  
                                                        
      }    
      });


}

//-----------------------------------------------------------

function grabar_todos_superaciones(){

var arreglo;
var notas='';

      //---- TRAE EL CODIGO DE LOS ALUMNOS --------

      var parametros = {"accion":'codigo_alumnos'};    

        $.ajax({
                data:  parametros,
                 url:"comprobar.php",
                type:  'post',
                success:function (response){
                
                arreglo=response.split("/"); 
                var def,v;
                
                for (x=0;x<arreglo.length-1;x++){
                     
                     def=document.getElementById('NOTA_DEF_'+arreglo[x]).value; 
                     
                     if (def=='D' || def=='.b'){
                     
                         v=document.getElementById('SUPER_'+arreglo[x]).value; 
                     
                         if (v!='')
                             notas=notas+(arreglo[x]+"*"+v)+"/";                     
                     }
                }    
              
                
      var parametros1 = {"notas":notas};
                                  
        $.ajax({
                data:  parametros1,
                 url: 'GrabarNotasSuperaciones.php',
                type:  'post',
                success:function (response){                
                      alert(response);                    
                } 
        });  
        

      }    
      });

}


